﻿using XF.Domain.Dependency;

namespace Hotline.Orders
{
    public class OrderRedoRecordDomainService : IOrderRedoRecordDomainService, IScopeDependency
    {
        private readonly IOrderRedoRecordRepository _orderRedoRecordRepository;


        public OrderRedoRecordDomainService(IOrderRedoRecordRepository orderRedoRecordRepository)
        {
            _orderRedoRecordRepository = orderRedoRecordRepository;
        }


        public async Task<string> AddOrderRedoRecord(OrderRedoRecord entity, CancellationToken cancellationToken)
        {
            return await _orderRedoRecordRepository.AddAsync(entity,cancellationToken);
        }

        public async Task<bool> DelOrderRedoRecord(string id,CancellationToken cancellationToken)
        {
            try
            {
                await _orderRedoRecordRepository.RemoveAsync(id, false, cancellationToken);
                return true;
            }
            catch
            {
                return false;
            }
        }

        public async Task<bool> UpdateRedoRecord(OrderRedoRecord entity, CancellationToken cancellationToken)
        {
            try
            {
                await _orderRedoRecordRepository.UpdateAsync(entity, cancellationToken);
                return true;
            }
            catch
            {
                return false;
            }
        }
    }
}
